package controllers

import (
	"hongze/hongze_mfyx/models"
	"hongze/hongze_mfyx/utils"
)

type TagController struct {
	BaseAuthController
}

// @Title 首页标签列表
// @Description 首页标签列表接口
// @Success 200 {object} cygx.CygxTagListLabelResp
// @router /list/label [get]
func (this *TagController) ListLabel() {
	br := new(models.BaseResponse).Init()
	defer func() {
		this.Data["json"] = br
		this.ServeJSON()
	}()
	sysUser := this.User
	if sysUser == nil {
		br.Msg = "请登录"
		br.ErrMsg = "请登录，SysUser Is Empty"
		br.Ret = 408
		return
	}
	list1 := []string{utils.LABEL_L1_1, utils.LABEL_L1_2, utils.LABEL_L1_3, utils.LABEL_L1_4}
	list2 := []string{utils.LABEL_L2_1, utils.LABEL_L2_2, utils.LABEL_L2_3, utils.LABEL_L2_4}
	list3 := []string{utils.LABEL_L3_1, utils.LABEL_L3_2, utils.LABEL_L3_3}
	resp := new(models.CygxTagListLabelResp)
	resp.List1 = list1
	resp.List2 = list2
	resp.List3 = list3
	br.Ret = 200
	br.Success = true
	br.Msg = "获取成功"
	br.Data = resp
}
